Subject: [PATCH 00/33] object id conversion (grep and diff)

From: Brandon Williams <[email-masked]>
Date: Tue, 30 May 2017 10:30:36 -0700

A month or so ago I thought I would lend a hand to Brian and do a round of
conversions from sha1 -> struct object_id.  Now that Brian's latest series has
hit master I can finally send these patches out.

The first couple patches are from Brian which convert some of the notes logic
to using 'struct object_id'.  The remaining patches are to convert the grep and
diff machinery to using 'struct object_id'.

Brandon Williams (26):
  grep: convert to struct object_id
  diff: convert get_stat_data to struct object_id
  diff: convert diff_index_show_file to struct object_id
  diff: convert diff_addremove to struct object_id
  diff: convert run_diff_files to struct object_id
  diff: convert diff_change to struct object_id
  diff: convert fill_filespec to struct object_id
  diff: convert reuse_worktree_file to struct object_id
  diff: finish conversion for prepare_temp_file to struct object_id
  patch-ids: convert to struct object_id
  diff: convert diff_flush_patch_id to struct object_id
  combine-diff: convert diff_tree_combined to struct object_id
  combine-diff: convert find_paths_* to struct object_id
  tree-diff: convert diff_root_tree_sha1 to struct object_id
  notes-merge: convert notes_merge* to struct object_id
  notes-merge: convert merge_from_diffs to struct object_id
  notes-merge: convert find_notes_merge_pair_ps to struct object_id
  notes-merge: convert verify_notes_filepair to struct object_id
  notes-merge: convert write_note_to_worktree to struct object_id
  diff-tree: convert diff_tree_sha1 to struct object_id
  builtin/diff-tree: cleanup references to sha1
  tree-diff: convert try_to_follow_renames to struct object_id
  tree-diff: convert diff_tree_paths to struct object_id
  tree-diff: convert path_appendnew to object_id
  diffcore-rename: use is_empty_blob_oid
  diff: rename diff_fill_sha1_info to diff_fill_oid_info

brian m. carlson (7):
  notes: convert internal structures to struct object_id
  notes: convert internal parts to struct object_id
  notes: convert for_each_note to struct object_id
  notes: make get_note return pointer to struct object_id
  notes: convert format_display_notes to struct object_id
  builtin/notes: convert to struct object_id
  notes: convert some accessor functions to struct object_id

 builtin/am.c          |   2 +-
 builtin/blame.c       |  22 +++---
 builtin/commit.c      |   2 +-
 builtin/diff-tree.c   |  16 ++--
 builtin/diff.c        |   8 +-
 builtin/fast-export.c |   8 +-
 builtin/grep.c        |  22 +++---
 builtin/log.c         |   8 +-
 builtin/merge.c       |   2 +-
 builtin/notes.c       | 136 ++++++++++++++++-----------------
 cache.h               |   7 ++
 combine-diff.c        |  30 ++++----
 diff-lib.c            |  52 ++++++-------
 diff-no-index.c       |   2 +-
 diff.c                |  74 +++++++++---------
 diff.h                |  38 +++++-----
 diffcore-rename.c     |   6 +-
 diffcore.h            |   2 +-
 grep.c                |  19 +++--
 grep.h                |   2 +-
 line-log.c            |  10 +--
 log-tree.c            |  12 +--
 merge-recursive.c     |   2 +-
 notes-cache.c         |  10 +--
 notes-merge.c         | 165 +++++++++++++++++++++--------------------
 notes-merge.h         |  12 +--
 notes-utils.c         |   2 +-
 notes-utils.h         |   2 +-
 notes.c               | 202 ++++++++++++++++++++++++++------------------------
 notes.h               |  16 ++--
 patch-ids.c           |  26 +++----
 patch-ids.h           |   4 +-
 remote-testsvn.c      |  22 +++---
 revision.c            |  16 ++--
 sequencer.c           |   4 +-
 tree-diff.c           |  93 ++++++++++++-----------
 36 files changed, 535 insertions(+), 521 deletions(-)

-- 
2.13.0.219.gdb65acc882-goog